Support » Plugin: Who Hit The Page - Hit Counter » Syntax Error in plugin

  • Resolved mmlevin

    (@mmlevin)


    I am running 4.1, which has introduced a bug from this plugin. I notice that all sorts of sites, all over the place, that use this plugin are experiencing this. Here is the error message I get on pages:
    Warning: preg_match(): Delimiter must not be alphanumeric or backslash in /home/weglev/public_html/wp-content/plugins/who-hit-the-page-hit-counter/count_who_hit.php on line 430

    I’ve looked at the code and cannot figure out what it wants, but I think that the /i modifier causes the i to be treated as a delimiter instead of a modifier. Not sure, but that’s my opinion.

    https://wordpress.org/plugins/who-hit-the-page-hit-counter/

Viewing 2 replies - 1 through 2 (of 2 total)
  • I had a user report the same problem. For now I have disabled this plugin. Hope it gets resolved soon.

    Plugin Author mahlamusa

    (@mahlamusa)

    The preg_match() issue has been fixed on version 1.4.1

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Syntax Error in plugin’ is closed to new replies.